Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class GlyfSimpleDescript

    java.lang.Object
      org.apache.batik.svggen.font.table.Program
          org.apache.batik.svggen.font.table.GlyfDescript
              org.apache.batik.svggen.font.table.GlyfSimpleDescript

All Implemented Interfaces:
  GlyphDescription

    public class GlyfSimpleDescript

extends GlyfDescript

Field Summary

Fields inherited from class org.apache.batik.svggen.font.table.GlyfDescript
`onCurve, parentTable, repeat, xDual, xShortVector, yDual, yShortVector`

Constructor Summary
`GlyfSimpleDescript(GlyfTable parentTable, short numberOfContours, ByteArrayInputStream bais)`

Method Summary
`int` | `getContourCount()`
`int` | `getEndPtOfContours(int i)`
`byte` | `getFlags(int i)`
`int` | `getPointCount()`
`short` | `getXCoordinate(int i)`
`short` | `getYCoordinate(int i)`
`boolean` | `isComposite()`

Methods inherited from class org.apache.batik.svggen.font.table.GlyfDescript
`getNumberOfContours, getXMaximum, getXMinimum, getYMaximum, getYMinimum, resolve`

Methods inherited from class org.apache.batik.svggen.font.table.Program
`getInstructions, readInstructions, readInstructions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlyfSimpleDescript

    public GlyfSimpleDescript(GlyfTable parentTable,
                              short numberOfContours,
                              ByteArrayInputStream bais)

Method Detail

### getEndPtOfContours

    public int getEndPtOfContours(int i)

### getFlags

    public byte getFlags(int i)

### getXCoordinate

    public short getXCoordinate(int i)

### getYCoordinate

    public short getYCoordinate(int i)

### isComposite

    public boolean isComposite()

### getPointCount

    public int getPointCount()

### getContourCount

    public int getContourCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.